Get_type

Convert the string to a value; throw if the conversion fails. More...

## Functions

double | libdap::get_float64 (const char *val)
int | libdap::get_int32 (const char *val)
long long | libdap::get_int64 (const char *val)
unsigned int | libdap::get_uint32 (const char *val)
unsigned long long | libdap::get_uint64 (const char *val)

## Detailed Description

Convert the string to a value; throw if the conversion fails.

## Function Documentation

## get_float64()

double libdap::get_float64 | ( | const char * | val | ) |

Definition at line 673 of file parser-util.cc.

## get_int32()

int libdap::get_int32 | ( | const char * | val | ) |

Definition at line 613 of file parser-util.cc.

## get_int64()

long long libdap::get_int64 | ( | const char * | val | ) |

Definition at line 544 of file parser-util.cc.

## get_uint32()

unsigned int libdap::get_uint32 | ( | const char * | val | ) |

Definition at line 641 of file parser-util.cc.

## get_uint64()

unsigned long long libdap::get_uint64 | ( | const char * | val | ) |

Definition at line 579 of file parser-util.cc.